Subject: bug#10013: man ls

From: Paul Eggert <[email-masked]>
Date: Thu, 10 Nov 2011 16:10:27 -0800

On 11/10/11 13:33, Eric Blake wrote:
> +The @command{ls} program stands for ``list sorted''.

I'm somewhat dubious.

I never worked at Bell Labs (I was just a visitor once or twice),
but I have worked with several people who did work in Bell Labs's
software research group during the Unix days, and I think I would
have heard about "list sorted" if that was really the reason for "ls".
I suspect that the AT&Ter in question was from USG, not from the
original Unix team, and that this etymology is not entirely reliable.

Quite plausibly, "ls" means "list" for the same reason that
"cp" means "copy" and "mv" means "move".